This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 866068 - Lack of NFS information of any kind under "File Sharing"
Lack of NFS information of any kind under "File Sharing"
Status: NEW
Product: Fedora Documentation
Classification: Fedora
Component: system-administrator's-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Wadeley
Christopher Antila
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 13:11 EDT by Nick
Modified: 2015-04-21 23:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick 2012-10-13 13:11:39 EDT
Description of problem:

Looking under Part V section 15 entitled "file and print servers", I expected to see some documentation about NFS.  

Version-Release number of selected component (if applicable):

Fedora 17 and 16 versions of the guide all have this omission.

Additional info:

NFS v2 and v3 would've been sufficient to get the job done for me, but given the switch to both systemd and changing around some of the names of the NFS services necessary compared to RHEL5, a gentle pointer in the right direction would be most appreciated.

A good treatment of NFSv4 would be most welcome, as the whole ACL system for NFSv4 has been reworked to be more extensible.
Comment 1 Nick 2012-10-13 13:12:05 EDT
FWIW, I'd be happy to help write it once I figure it out for myself.
Comment 2 Nick 2015-04-21 23:30:18 EDT
Bump: Fedora 21 and still nothing on NFS.  I've gotten my setup mostly working via compatibility mode in NFS3, so I could write that up and someone with greater knowledge of NFS4 ACLs could fill in the gaps?
Comment 3 Jaromir Hradilek 2015-04-21 23:34:51 EDT
Thank you very much for taking the time to report this issue, Nick. I am no longer actively maintaining the book and do not have the time to do so, but I will reassign this bug to the current maintainer who can decide what to do with it.

Stephen, could you please take a look at this bug and decide whether it fits in the System Administrator's Guide?

Note You need to log in before you can comment on or make changes to this bug.